Skip to main content
GET
/
conversations
/
messages
/
{id}
Get message by message id
curl --request GET \
  --url https://services.leadconnectorhq.com/conversations/messages/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "id": "ve9EPM428h8vShlRW1KT",
  "type": 1,
  "messageType": "SMS",
  "locationId": "ve9EPM428h8vShlRW1KT",
  "contactId": "ve9EPM428h8vShlRW1KT",
  "conversationId": "ve9EPM428h8vShlRW1KT",
  "dateAdded": "2024-03-27T18:13:49.000Z",
  "direction": "inbound",
  "contentType": "text/plain",
  "altId": "msg_123456789",
  "body": "Hi there",
  "status": "connected",
  "attachments": [
    "<string>"
  ],
  "meta": {
    "callDuration": 120,
    "callStatus": "completed",
    "email": {
      "email": {
        "messageIds": [
          "ve9EPM428kjkvShlRW1KT",
          "ve9EPs1028kjkvShlRW1KT"
        ]
      }
    }
  },
  "source": "workflow",
  "userId": "ve9EPM428kjkvShlRW1KT",
  "conversationProviderId": "ve9EPM428kjkvShlRW1KT",
  "chatWidgetId": "67b0cc8cf14b19d85ace7s35"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Response

Message object for the id given.

id
string
required
Example:

"ve9EPM428h8vShlRW1KT"

type
number
required
Example:

1

messageType
enum<string>
required

Type of the message as a string

Available options:
TYPE_CALL,
TYPE_SMS,
TYPE_EMAIL,
TYPE_SMS_REVIEW_REQUEST,
TYPE_WEBCHAT,
TYPE_SMS_NO_SHOW_REQUEST,
TYPE_CAMPAIGN_SMS,
TYPE_CAMPAIGN_CALL,
TYPE_CAMPAIGN_EMAIL,
TYPE_CAMPAIGN_VOICEMAIL,
TYPE_FACEBOOK,
TYPE_CAMPAIGN_FACEBOOK,
TYPE_CAMPAIGN_MANUAL_CALL,
TYPE_CAMPAIGN_MANUAL_SMS,
TYPE_GMB,
TYPE_CAMPAIGN_GMB,
TYPE_REVIEW,
TYPE_INSTAGRAM,
TYPE_WHATSAPP,
TYPE_CUSTOM_SMS,
TYPE_CUSTOM_EMAIL,
TYPE_CUSTOM_PROVIDER_SMS,
TYPE_CUSTOM_PROVIDER_EMAIL,
TYPE_IVR_CALL,
TYPE_ACTIVITY_CONTACT,
TYPE_ACTIVITY_INVOICE,
TYPE_ACTIVITY_PAYMENT,
TYPE_ACTIVITY_OPPORTUNITY,
TYPE_LIVE_CHAT,
TYPE_LIVE_CHAT_INFO_MESSAGE,
TYPE_ACTIVITY_APPOINTMENT,
TYPE_FACEBOOK_COMMENT,
TYPE_INSTAGRAM_COMMENT,
TYPE_CUSTOM_CALL,
TYPE_INTERNAL_COMMENT,
TYPE_ACTIVITY_EMPLOYEE_ACTION_LOG
Example:

"SMS"

locationId
string
required
Example:

"ve9EPM428h8vShlRW1KT"

contactId
string
required
Example:

"ve9EPM428h8vShlRW1KT"

conversationId
string
required
Example:

"ve9EPM428h8vShlRW1KT"

dateAdded
string
required
Example:

"2024-03-27T18:13:49.000Z"

direction
enum<string>
required
Available options:
inbound,
outbound
contentType
string
required
Example:

"text/plain"

altId
string

Alternative identifier for the message

Example:

"msg_123456789"

body
string
Example:

"Hi there"

status
enum<string>
Available options:
connected,
delivered,
failed,
opened,
pending,
read,
scheduled,
sent,
undelivered,
clicked,
opt_out
attachments
string[]

An array of attachment URLs. Attachments will be empty for Call and Voicemails, type 1 and 10. Please use get call recording API to fetch call recording and voicemails.

meta
object
source
enum<string>

Message source

Available options:
workflow,
bulk_actions,
campaign,
api,
app
userId
string

User Id

Example:

"ve9EPM428kjkvShlRW1KT"

conversationProviderId
string

Conversation Provider Id

Example:

"ve9EPM428kjkvShlRW1KT"

chatWidgetId
string

Chat Widget Id

Example:

"67b0cc8cf14b19d85ace7s35"

Last modified on March 4, 2026